### Hierarchy

- unknown
  - DepositsConfirmedMessage

## Index

### Constructors

- constructor

### Methods

- clearPubKeyRing
- clearSenderNodeAddress
- getPubKeyRing
- getSellerPaymentAccountKey
- getSellerPaymentAccountKey_asB64
- getSellerPaymentAccountKey_asU8
- getSenderNodeAddress
- getTradeId
- getUid
- getUpdatedMultisigHex
- hasPubKeyRing
- hasSenderNodeAddress
- serializeBinary
- setPubKeyRing
- setSellerPaymentAccountKey
- setSenderNodeAddress
- setTradeId
- setUid
- setUpdatedMultisigHex
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new DepositsConfirmedMessage(): DepositsConfirmedMessage

- Inherited from jspb.Message.constructor

  #### Returns DepositsConfirmedMessage

## Methods

### clearPubKeyRing

- clearPubKeyRing(): DepositsConfirmedMessage

- - Defined in src/protobuf/pb_pb.d.ts:1607

  #### Returns DepositsConfirmedMessage

### clearSenderNodeAddress

- clearSenderNodeAddress(): DepositsConfirmedMessage

- - Defined in src/protobuf/pb_pb.d.ts:1602

  #### Returns DepositsConfirmedMessage

### getPubKeyRing

- getPubKeyRing(): undefined | PubKeyRing

- - Defined in src/protobuf/pb_pb.d.ts:1604

  #### Returns undefined | PubKeyRing

### getSellerPaymentAccountKey

- getSellerPaymentAccountKey(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1612

  #### Returns string | Uint8Array

### getSellerPaymentAccountKey_asB64

- getSellerPaymentAccountKey_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:1614

  #### Returns string

### getSellerPaymentAccountKey_asU8

- getSellerPaymentAccountKey_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1613

  #### Returns Uint8Array

### getSenderNodeAddress

- getSenderNodeAddress(): undefined | NodeAddress

- - Defined in src/protobuf/pb_pb.d.ts:1599

  #### Returns undefined | NodeAddress

### getTradeId

- getTradeId(): string

- - Defined in src/protobuf/pb_pb.d.ts:1596

  #### Returns string

### getUid

- getUid(): string

- - Defined in src/protobuf/pb_pb.d.ts:1609

  #### Returns string

### getUpdatedMultisigHex

- getUpdatedMultisigHex(): string

- - Defined in src/protobuf/pb_pb.d.ts:1617

  #### Returns string

### hasPubKeyRing

- hasPubKeyRing(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:1606

  #### Returns boolean

### hasSenderNodeAddress

- hasSenderNodeAddress(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:1601

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1620

  #### Returns Uint8Array

### setPubKeyRing

- setPubKeyRing(value?: PubKeyRing ): DepositsConfirmedMessage

- - Defined in src/protobuf/pb_pb.d.ts:1605

  #### Parameters

  - ##### Optional value: PubKeyRing

  #### Returns DepositsConfirmedMessage

### setSellerPaymentAccountKey

- setSellerPaymentAccountKey(value: string | Uint8Array): DepositsConfirmedMessage

- - Defined in src/protobuf/pb_pb.d.ts:1615

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns DepositsConfirmedMessage

### setSenderNodeAddress

- setSenderNodeAddress(value?: NodeAddress ): DepositsConfirmedMessage

- - Defined in src/protobuf/pb_pb.d.ts:1600

  #### Parameters

  - ##### Optional value: NodeAddress

  #### Returns DepositsConfirmedMessage

### setTradeId

- setTradeId(value: string): DepositsConfirmedMessage

- - Defined in src/protobuf/pb_pb.d.ts:1597

  #### Parameters

  - ##### value: string

  #### Returns DepositsConfirmedMessage

### setUid

- setUid(value: string): DepositsConfirmedMessage

- - Defined in src/protobuf/pb_pb.d.ts:1610

  #### Parameters

  - ##### value: string

  #### Returns DepositsConfirmedMessage

### setUpdatedMultisigHex

- setUpdatedMultisigHex(value: string): DepositsConfirmedMessage

- - Defined in src/protobuf/pb_pb.d.ts:1618

  #### Parameters

  - ##### value: string

  #### Returns DepositsConfirmedMessage

### toObject

- toObject(includeInstance?: boolean): DepositsConfirmedMessage . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:1621

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns DepositsConfirmedMessage . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): DepositsConfirmedMessage

- - Defined in src/protobuf/pb_pb.d.ts:1624

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns DepositsConfirmedMessage

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: DepositsConfirmedMessage, reader: BinaryReader): DepositsConfirmedMessage

- - Defined in src/protobuf/pb_pb.d.ts:1625

  #### Parameters

  - ##### message: DepositsConfirmedMessage

  - ##### reader: BinaryReader

  #### Returns DepositsConfirmedMessage

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: DepositsConfirmedMessage, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:1623

  #### Parameters

  - ##### message: DepositsConfirmedMessage

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: DepositsConfirmedMessage ): DepositsConfirmedMessage . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:1622

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: DepositsConfirmedMessage

  #### Returns DepositsConfirmedMessage . AsObject

Generated using TypeDoc